summaryrefslogtreecommitdiffstats
path: root/source.local/xap/mozilla-firefox
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
committer Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
commit69dd99f961988fa15da8d7f0d63b62f3385419c3 (patch)
treed57eb3e85e1d08e7815787de26946ee42c398b66 /source.local/xap/mozilla-firefox
downloadalienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.gz
alienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.xz
Initial commit of a Slackware cross-arch bootstrap framework.
Diffstat (limited to 'source.local/xap/mozilla-firefox')
-rw-r--r--source.local/xap/mozilla-firefox/firefox-12.0.source.tar.bz2.asc7
-rw-r--r--source.local/xap/mozilla-firefox/firefox.moz_plugin_path.diff.gzbin0 -> 327 bytes
-rw-r--r--source.local/xap/mozilla-firefox/firefox.pngbin0 -> 24263 bytes
-rw-r--r--source.local/xap/mozilla-firefox/mimeTypes.rdf.gzbin0 -> 462 bytes
-rw-r--r--source.local/xap/mozilla-firefox/mozilla-firefox-mimeTypes-fix.diff.gzbin0 -> 680 bytes
-rwxr-xr-xsource.local/xap/mozilla-firefox/mozilla-firefox.SlackBuild238
-rw-r--r--source.local/xap/mozilla-firefox/mozilla-firefox.desktop80
-rw-r--r--source.local/xap/mozilla-firefox/mozilla-firefox.xpcom_arm.patch.gzbin0 -> 312 bytes
-rw-r--r--source.local/xap/mozilla-firefox/seamonkey.angle.patch.gzbin0 -> 796 bytes
-rw-r--r--source.local/xap/mozilla-firefox/seamonkey.gcc47.patch.gzbin0 -> 394 bytes
-rw-r--r--source.local/xap/mozilla-firefox/seamonkey.time_posix.patch.gzbin0 -> 542 bytes
-rw-r--r--source.local/xap/mozilla-firefox/slack-desc19
12 files changed, 344 insertions, 0 deletions
diff --git a/source.local/xap/mozilla-firefox/firefox-12.0.source.tar.bz2.asc b/source.local/xap/mozilla-firefox/firefox-12.0.source.tar.bz2.asc
new file mode 100644
index 0000000..d265f38
--- /dev/null
+++ b/source.local/xap/mozilla-firefox/firefox-12.0.source.tar.bz2.asc
@@ -0,0 +1,7 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1.4.5 (GNU/Linux)
+
+iD8DBQBPkd4Wp9dcx8UhdeIRArFbAJ9JWeXvblkPriyVd0zF48UBVAb1yQCfQn74
+dfwY5j9EOJYMUgnftSI1jrE=
+=BKJP
+-----END PGP SIGNATURE-----
diff --git a/source.local/xap/mozilla-firefox/firefox.moz_plugin_path.diff.gz b/source.local/xap/mozilla-firefox/firefox.moz_plugin_path.diff.gz
new file mode 100644
index 0000000..4f10a6f
--- /dev/null
+++ b/source.local/xap/mozilla-firefox/firefox.moz_plugin_path.diff.gz
Binary files differ
diff --git a/source.local/xap/mozilla-firefox/firefox.png b/source.local/xap/mozilla-firefox/firefox.png
new file mode 100644
index 0000000..76204b5
--- /dev/null
+++ b/source.local/xap/mozilla-firefox/firefox.png
Binary files differ
diff --git a/source.local/xap/mozilla-firefox/mimeTypes.rdf.gz b/source.local/xap/mozilla-firefox/mimeTypes.rdf.gz
new file mode 100644
index 0000000..dcdc883
--- /dev/null
+++ b/source.local/xap/mozilla-firefox/mimeTypes.rdf.gz
Binary files differ
diff --git a/source.local/xap/mozilla-firefox/mozilla-firefox-mimeTypes-fix.diff.gz b/source.local/xap/mozilla-firefox/mozilla-firefox-mimeTypes-fix.diff.gz
new file mode 100644
index 0000000..8b70833
--- /dev/null
+++ b/source.local/xap/mozilla-firefox/mozilla-firefox-mimeTypes-fix.diff.gz
Binary files differ
diff --git a/source.local/xap/mozilla-firefox/mozilla-firefox.SlackBuild b/source.local/xap/mozilla-firefox/mozilla-firefox.SlackBuild
new file mode 100755
index 0000000..117fe97
--- /dev/null
+++ b/source.local/xap/mozilla-firefox/mozilla-firefox.SlackBuild
@@ -0,0 +1,238 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Thanks to the folks at the Mozilla Foundation for permission to
+# distribute this, and for all the great work! :-)
+
+# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+VERSION=$(basename $(ls firefox-*.tar.bz2 | cut -d - -f 2 | rev | cut -f 3- -d . | rev) .source)
+RELEASEVER=$(echo $VERSION | cut -f 1 -d r | cut -f 1 -d b)
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-mozilla-firefox
+
+# Figure out if this is a beta, or a release:
+if echo $VERSION | grep -q b ; then # we think it is a beta
+ if bzgrep -q mozilla-beta/ $CWD/firefox-$VERSION.source.tar.bz2 ; then
+ MOZVERS=${MOZVERS:-beta}
+ else # blindly assume it is a release
+ MOZVERS=${MOZVERS:-release}
+ fi
+else # release, no "b" in the tarball version:
+ MOZVERS=${MOZVERS:-release}
+fi
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+# Try to be gentle to the compiler, no optimizations:
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv4 -mtune=xscale"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "armel" ]; then
+ SLKCFLAGS="-O2 -march=armv4t"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/lib${LIBDIRSUFFIX}
+
+cd $TMP
+rm -rf mozilla-$MOZVERS
+tar xvf $CWD/firefox-$VERSION.source.tar.bz2 || exit 1
+cd mozilla-$MOZVERS || exit 1
+
+# Fix a long standing bug that's prevented staying current on GTK+.
+# Thanks to the BLFS folks. :-)
+cat << EOF >> layout/build/Makefile.in
+
+ifdef MOZ_ENABLE_CANVAS
+EXTRA_DSO_LDOPTS += \$(XLDFLAGS) -lX11 -lXrender
+endif
+
+EOF
+
+# Patch mimeTypes.rdf
+# Uncomment this if you want to use the patch; otherwise, we overwrite the
+# mimeTypes.rdf inside the package directory later
+# zcat $CWD/mozilla-firefox-mimeTypes-fix.diff.gz | patch -p1 || exit 1
+
+# Arch independent patches:
+zcat $CWD/seamonkey.gcc47.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/seamonkey.time_posix.patch.gz | patch -p1 --verbose || exit 1
+#zcat $CWD/seamonkey.angle.patch.gz | patch -p1 --verbose || exit 1
+
+# Arch-dependent patches:
+case "$ARCH" in
+ armv7hl) ARCH_CONFIG="--with-arch=armv7-a --with-float-abi=hard --with-fpu=vfpv3-d16 --disable-elf-hack"
+ # Make firefox compile on ARM platforms lacking neon support:
+ zcat $CWD/mozilla-firefox.xpcom_arm.patch.gz | patch -p1 --verbose || exit 1
+ ;;
+ *) ARCH_CONFIG=" "
+ ;;
+esac
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+export MOZILLA_OFFICIAL="1" &&
+export BUILD_OFFICIAL="1" &&
+export MOZ_PHOENIX="1" &&
+export CFLAGS="$SLKCFLAGS" &&
+export CXXFLAGS="$SLKCFLAGS" &&
+export MOZ_MAKE_FLAGS="$NUMJOBS" &&
+./configure \
+ --enable-official-branding \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --with-default-mozilla-five-home=/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER \
+ --with-system-zlib \
+ --enable-application=browser \
+ --enable-default-toolkit=cairo-gtk2 \
+ --enable-startup-notification \
+ --enable-crypto \
+ --enable-svg \
+ --enable-canvas \
+ --enable-logging \
+ --enable-xft \
+ --enable-webm \
+ --enable-xinerama \
+ --enable-optimize \
+ --enable-reorder \
+ --enable-strip \
+ --enable-cpp-rtti \
+ --enable-single-profile \
+ --disable-ldap \
+ --disable-accessibility \
+ --disable-debug \
+ --disable-tests \
+ --disable-pedantic \
+ --disable-installer \
+ --disable-mailnews \
+ --disable-composer \
+ --disable-profilesharing \
+ --disable-system-cairo \
+ $ARCH_CONFIG \
+ --host=$TARGET \
+ --target=$TARGET \
+ --build=$TARGET
+
+ # Complains about missing APNG support in Slackware's libpng:
+ #--with-system-png \
+
+make MOZ_MAKE_FLAGS="$NUMJOBS" $NUMJOBS || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# We don't need these (just symlinks anyway):
+rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/firefox-devel-$RELEASEVER
+
+# Nor these:
+rm -rf $PKG/usr/include
+
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER
+ #mv defaults/profile/mimeTypes.rdf defaults/profile/mimeTypes.rdf.orig || exit 1
+ if [ -d defaults/profile ]; then
+ zcat $CWD/mimeTypes.rdf > defaults/profile/mimeTypes.rdf || exit 1
+ fi
+ # OK, this patch is useless on 7.x. We'll float without it and see what happens.
+ # Perhaps it won't make a difference or should be worked around elsewhere.
+ #zcat $CWD/firefox.moz_plugin_path.diff.gz \
+ # | sed -e "s#usr/lib#usr/lib${LIBDIRSUFFIX}#g" \
+ # | patch -p1 --verbose --backup --suffix=.orig || exit 1
+ # Clean up if the above patch was successful:
+ #rm -f firefox.orig
+) || exit
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins
+mkdir -p $PKG/usr/share/applications
+cat $CWD/mozilla-firefox.desktop > $PKG/usr/share/applications/mozilla-firefox.desktop
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/firefox.png > $PKG/usr/share/pixmaps/firefox.png
+
+# These files/directories are usually created if Firefox is run as root,
+# which on many systems might (and possibly should) be never. Therefore, if we
+# don't see them we'll put stubs in place to prevent startup errors.
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER
+ if [ -d extensions/talkback\@mozilla.org ]; then
+ if [ ! -r extensions/talkback\@mozilla.org/chrome.manifest ]; then
+ echo > extensions/talkback\@mozilla.org/chrome.manifest
+ fi
+ fi
+ if [ ! -d updates ]; then
+ mkdir -p updates/0
+ fi
+)
+
+# Need some default icons in the right place:
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER/chrome/icons/default
+install -m 644 other-licenses/branding/firefox/default16.png \
+ $PKG/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER/icons/
+install -m 644 other-licenses/branding/firefox/default16.png \
+ $PKG/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER/chrome/icons/default/
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER
+ install -m 644 icons/{default,mozicon50}.xpm chrome/icons/default/
+)
+
+# Copy over the LICENSE
+install -p -c -m 644 LICENSE $PKG/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER/
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/mozilla-firefox-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source.local/xap/mozilla-firefox/mozilla-firefox.desktop b/source.local/xap/mozilla-firefox/mozilla-firefox.desktop
new file mode 100644
index 0000000..23be26f
--- /dev/null
+++ b/source.local/xap/mozilla-firefox/mozilla-firefox.desktop
@@ -0,0 +1,80 @@
+[Desktop Entry]
+Exec=firefox %u
+Icon=firefox
+Type=Application
+Categories=Network;
+Name=Firefox
+Name[bn]=ফায়ারফক্স
+Name[eo]=Mozilo Fajrovulpo
+Name[fi]=Mozilla Firefox
+Name[pa]=ਫਾਇਰਫੋਕਸ
+Name[tg]=Рӯбоҳи оташин
+GenericName=Web Browser
+GenericName[af]=Web Blaaier
+GenericName[ar]=متصفح ويب
+GenericName[az]=Veb Səyyahı
+GenericName[bg]=Браузър
+GenericName[bn]=ওয়েব ব্রাউজার
+GenericName[br]=Furcher ar Gwiad
+GenericName[bs]=WWW Preglednik
+GenericName[ca]=Fullejador web
+GenericName[cs]=WWW prohlížeč
+GenericName[cy]=Porydd Gwe
+GenericName[da]=Browser
+GenericName[de]=Web-Browser
+GenericName[el]=Περιηγητής Ιστού
+GenericName[eo]=TTT-legilo
+GenericName[es]=Navegador web
+GenericName[et]=Veebilehitseja
+GenericName[eu]=Web arakatzailea
+GenericName[fa]=مرورگر وب
+GenericName[fi]=WWW-selain
+GenericName[fo]=Alnótsfar
+GenericName[fr]=Navigateur web
+GenericName[gl]=Navegador Web
+GenericName[he]=דפדפן אינטרנט
+GenericName[hi]=वेब ब्राउज़र
+GenericName[hr]=Web preglednik
+GenericName[hu]=Webböngésző
+GenericName[is]=Vafri
+GenericName[it]=Browser Web
+GenericName[ja]=ウェブブラウザ
+GenericName[ko]=웹 브라우저
+GenericName[lo]=ເວັບບຣາວເຊີ
+GenericName[lt]=Žiniatinklio naršyklė
+GenericName[lv]=Web Pārlūks
+GenericName[mk]=Прелистувач на Интернет
+GenericName[mn]=Веб-Хөтөч
+GenericName[nb]=Nettleser
+GenericName[nds]=Nettkieker
+GenericName[nl]=Webbrowser
+GenericName[nn]=Nettlesar
+GenericName[nso]=Seinyakisi sa Web
+GenericName[pa]=ਵੈਬ ਝਲਕਾਰਾ
+GenericName[pl]=Przeglądarka WWW
+GenericName[pt]=Navegador Web
+GenericName[pt_BR]=Navegador Web
+GenericName[ro]=Navigator de web
+GenericName[ru]=Веб-браузер
+GenericName[se]=Fierpmádatlogan
+GenericName[sk]=Webový prehliadač
+GenericName[sl]=Spletni brskalnik
+GenericName[sr]=Веб претраживач
+GenericName[sr@Latn]=Veb pretraživač
+GenericName[ss]=Ibrawuza yeWeb
+GenericName[sv]=Webbläsare
+GenericName[ta]=வலை உலாவி
+GenericName[tg]=Тафсиргари вэб
+GenericName[th]=เว็บบราวเซอร์
+GenericName[tr]=Web Tarayıcı
+GenericName[uk]=Навігатор Тенет
+GenericName[uz]=Веб-браузер
+GenericName[ven]=Buronza ya Webu
+GenericName[vi]=Trình duyệt Web
+GenericName[wa]=Betchteu waibe
+GenericName[xh]=Umkhangeli zincwadi we Web
+GenericName[zh_CN]=网页浏览器
+GenericName[zh_TW]=網頁瀏覽器
+GenericName[zu]=Umcingi we-Web
+MimeType=text/html;
+X-KDE-StartupNotify=true
diff --git a/source.local/xap/mozilla-firefox/mozilla-firefox.xpcom_arm.patch.gz b/source.local/xap/mozilla-firefox/mozilla-firefox.xpcom_arm.patch.gz
new file mode 100644
index 0000000..b6b0062
--- /dev/null
+++ b/source.local/xap/mozilla-firefox/mozilla-firefox.xpcom_arm.patch.gz
Binary files differ
diff --git a/source.local/xap/mozilla-firefox/seamonkey.angle.patch.gz b/source.local/xap/mozilla-firefox/seamonkey.angle.patch.gz
new file mode 100644
index 0000000..583fb67
--- /dev/null
+++ b/source.local/xap/mozilla-firefox/seamonkey.angle.patch.gz
Binary files differ
diff --git a/source.local/xap/mozilla-firefox/seamonkey.gcc47.patch.gz b/source.local/xap/mozilla-firefox/seamonkey.gcc47.patch.gz
new file mode 100644
index 0000000..fdddb4c
--- /dev/null
+++ b/source.local/xap/mozilla-firefox/seamonkey.gcc47.patch.gz
Binary files differ
diff --git a/source.local/xap/mozilla-firefox/seamonkey.time_posix.patch.gz b/source.local/xap/mozilla-firefox/seamonkey.time_posix.patch.gz
new file mode 100644
index 0000000..bd76a2f
--- /dev/null
+++ b/source.local/xap/mozilla-firefox/seamonkey.time_posix.patch.gz
Binary files differ
diff --git a/source.local/xap/mozilla-firefox/slack-desc b/source.local/xap/mozilla-firefox/slack-desc
new file mode 100644
index 0000000..a54bac8
--- /dev/null
+++ b/source.local/xap/mozilla-firefox/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mozilla-firefox: mozilla-firefox (Mozilla Firefox Web browser)
+mozilla-firefox:
+mozilla-firefox: This project is a redesign of the Mozilla browser component written
+mozilla-firefox: using the XUL user interface language. Firefox empowers you to
+mozilla-firefox: browse faster, more safely and more efficiently than with any other
+mozilla-firefox: browser.
+mozilla-firefox:
+mozilla-firefox: Visit the Mozilla Firefox project online:
+mozilla-firefox: http://www.mozilla.org/projects/firefox/
+mozilla-firefox:
+mozilla-firefox: